adinstbpm - Task #17734
Milestone # 17719 (New): Booster operational test of one crate alongside existing BPM system

Task # 17720 (Work in progress): Booster BPM ACNET Interface

ACNET device BPM Orbit Correction Device (0x0022)
09/15/2017 11:37 AM - John Diamond

Status: Work in progress Start date: 09/15/2017
Priority: Normal Due date:

Assignee: John Diamond % Done: 90%
Category: Estimated time: 4.00 hours
Target version: Spent time: 16.50 hours

Description
Not sure if this is relevant to our system...

History

#1 - 10/20/2017 01:57 PM - John Diamond

- Status changed from Assigned to Rejected

According to Bill, B38 and B40 do not use these devices. Rejecting the issues for now until someone asks for it.

#2 - 11/08/2017 11:47 AM - John Diamond

- Status changed from Rejected to Assigned

Turns out this device is needed according to Bill. Here's how he defines it in an e-mail from 11/2/2017 -

The smooth orbit devices are B:xxCORP which average 8 orbits at turn numbers 180, 452, 912, 1386,
1879, 2393, 4045, 8875, 10118, 13872, 17640, 19526. The setting defines the event to take the data on
and the number of pulses(event index) after a 12 to identify the pulse (I don’t remember whether the
index starts with 0 or 1)

#3 -11/10/2017 11:09 AM - John Diamond
- % Done changed from 0 to 10

This will be referred to as a "Smooth Orbit" reading. Smooth orbit parameters (breakpoints, cycle event and cycle index) will be stored in the shared
memory region (SmoothOrbitParameters) where they can be accessed by BoosterCrateACNET and BoosterStateMachine. The breakpoints can be
passed to DAQSystem as a vector of turn numbers with the number of turns to average.

#4 - 11/14/2017 04:07 PM - John Diamond

- Status changed from Assigned to Work in progress

- % Done changed from 10 to 90

Implemented Smooth Orbit readings and acnet devices. Created a device for the test stand:
e Z:BTCORP

| noticed that the smooth orbit devices for the existing booster bpm system have control and status properties. E-mailed Bill to ask him how these
work.
